PG_CONNDEFAULTS()

NAME
pg_conndefaults - get connection options and their defaults

SYNOPSIS

pg_conndefaults

DESCRIPTION

pg_conndefaults returns information about the connection options available in pg_connect -conninfo and the current default value for each option.

ARGUMENTS

None

RETURN VALUE

The result is a list describing the possible connection options and their current default values. Each entry in the list is a sublist of the format:

{optname label dispchar dispsize value}

where the optname is usable as an option in pg_connect -conninfo.